cl.cromer.mt

## Class EstadosFinales

- java.lang.Object
- - cl.cromer.mt.EstadosFinales

    public class EstadosFinales
    extends java.lang.Object

Esta clase es un objeto para pasar entre los stage.

### Field Summary

Fields
`private java.util.ArrayList<java.lang.Integer>` `estadosElegidos` Los estados que eligó el usuario
`private java.util.ArrayList<java.lang.Integer>` `estadosExistentes` Los estados que existen
`private Maquina` `maquina` La maquina turning con sus transiciones, estados y enlaces

### Constructor Summary

Constructors
Constructor and Description
`EstadosFinales(Maquina maquina)` Constructor de la clase que recibe una maquina de turning

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<java.lang.Integer>` `getEstadosElegidos()` Devolver los estados elegidos por el usuario
`java.util.ArrayList<java.lang.Integer>` `getEstadosExistentes()` Devolver los estados que existen
`Maquina` `getMaquina()` Devolver la maquina de turning para usar
`void` `setEstadosElegidos(java.util.ArrayList<java.lang.Integer> estadosElegidos)` Cambiar los estados elegidos por el usuario
`void` `setEstadosExistentes(java.util.ArrayList<java.lang.Integer> estadosExistentes)` Cambiar los estados que existen
`void` `setMaquina(Maquina maquina)` Cambiar la maquina de turning del objeto

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### estadosExistentes

    private java.util.ArrayList<java.lang.Integer> estadosExistentes

Los estados que existen

#### estadosElegidos

    private java.util.ArrayList<java.lang.Integer> estadosElegidos

Los estados que eligó el usuario

#### maquina

    private Maquina maquina

La maquina turning con sus transiciones, estados y enlaces

### Constructor Detail

#### EstadosFinales

    public EstadosFinales(Maquina maquina)

Constructor de la clase que recibe una maquina de turning

Parameters:
  `maquina` - La maquina de turning a pasar entre stages

### Method Detail

#### getEstadosExistentes

    public java.util.ArrayList<java.lang.Integer> getEstadosExistentes()

Devolver los estados que existen

Returns:
  Los estados que existen

#### setEstadosExistentes

    public void setEstadosExistentes(java.util.ArrayList<java.lang.Integer> estadosExistentes)

Cambiar los estados que existen

Parameters:
  `estadosExistentes` - Los estados nuevos

#### getEstadosElegidos

    public java.util.ArrayList<java.lang.Integer> getEstadosElegidos()

Devolver los estados elegidos por el usuario

Returns:
  Los estados elegidos

#### setEstadosElegidos

    public void setEstadosElegidos(java.util.ArrayList<java.lang.Integer> estadosElegidos)

Cambiar los estados elegidos por el usuario

Parameters:
  `estadosElegidos` - Los estados elegidods nuevos

#### getMaquina

    public Maquina getMaquina()

Devolver la maquina de turning para usar

Returns:
  La maquina de turning

#### setMaquina

    public void setMaquina(Maquina maquina)

Cambiar la maquina de turning del objeto

Parameters:
  `maquina` - La maquina